Bug 1031352 - [abrt] gcc-c++-4.7.2-8.fc18: cp_gimplify_expr: Process /usr/libexec/gcc/i686-redhat-linux/4.7.2/cc1plus was killed by signal 11 (SIGSEGV)
[abrt] gcc-c++-4.7.2-8.fc18: cp_gimplify_expr: Process /usr/libexec/gcc/i686-...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0f9a5291b09672c0a0ffd306a9c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 01:14 EST by Brandon Amaro
Modified: 2014-02-05 17:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:32:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (149.38 KB, text/plain)
2013-11-17 01:14 EST, Brandon Amaro
no flags Details
File: cgroup (134 bytes, text/plain)
2013-11-17 01:14 EST, Brandon Amaro
no flags Details
File: core_backtrace (317.81 KB, text/plain)
2013-11-17 01:14 EST, Brandon Amaro
no flags Details
File: dso_list (800 bytes, text/plain)
2013-11-17 01:14 EST, Brandon Amaro
no flags Details
File: environ (7.00 KB, text/plain)
2013-11-17 01:15 EST, Brandon Amaro
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-17 01:15 EST, Brandon Amaro
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-17 01:15 EST, Brandon Amaro
no flags Details
File: maps (2.87 KB, text/plain)
2013-11-17 01:15 EST, Brandon Amaro
no flags Details
File: open_fds (221 bytes, text/plain)
2013-11-17 01:15 EST, Brandon Amaro
no flags Details
File: proc_pid_status (792 bytes, text/plain)
2013-11-17 01:15 EST, Brandon Amaro
no flags Details
File: var_log_messages (1.76 KB, text/plain)
2013-11-17 01:15 EST, Brandon Amaro
no flags Details

  None (edit)
Description Brandon Amaro 2013-11-17 01:14:27 EST
Version-Release number of selected component:
gcc-c++-4.7.2-8.fc18

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/gcc/i686-redhat-linux/4.7.2/cc1plus -fpreprocessed /home/omega13a/.ccache/tmp/omega_gala.tmp.localhost.localdomain.18482.ii -quiet -dumpbase omega_gala.tmp.localhost.localdomain.18482.ii -m32 -march=i686 -mtune=atom -auxbase-strip /home/omega13a/.ccache/5/9/310fe349f5ff0a948981d840ac9e59-30503092.o.tmp.localhost.localdomain.18482 -g -O2 -w -fexceptions -fstack-protector -fasynchronous-unwind-tables --param ssp-buffer-size=4 -o -
crash_function: cp_gimplify_expr
executable:     /usr/libexec/gcc/i686-redhat-linux/4.7.2/cc1plus
kernel:         3.11.7-100.fc18.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 cp_gimplify_expr at ../../gcc/cp/cp-gimplify.c:689
 #1 gimplify_expr at ../../gcc/gimplify.c:6880
 #2 gimplify_addr_expr at ../../gcc/gimplify.c:4965
 #3 gimplify_expr at ../../gcc/gimplify.c:7006
 #4 gimplify_arg at ../../gcc/gimplify.c:2372
 #5 gimplify_call_expr at ../../gcc/gimplify.c:2518
 #6 gimplify_expr at ../../gcc/gimplify.c:6932
 #7 gimplify_stmt at ../../gcc/gimplify.c:5494
 #8 gimplify_and_add at ../../gcc/gimplify.c:381
 #9 gimplify_expr at ../../gcc/gimplify.c:7272
Comment 1 Brandon Amaro 2013-11-17 01:14:37 EST
Created attachment 825057 [details]
File: backtrace
Comment 2 Brandon Amaro 2013-11-17 01:14:41 EST
Created attachment 825058 [details]
File: cgroup
Comment 3 Brandon Amaro 2013-11-17 01:14:53 EST
Created attachment 825059 [details]
File: core_backtrace
Comment 4 Brandon Amaro 2013-11-17 01:14:56 EST
Created attachment 825060 [details]
File: dso_list
Comment 5 Brandon Amaro 2013-11-17 01:15:00 EST
Created attachment 825061 [details]
File: environ
Comment 6 Brandon Amaro 2013-11-17 01:15:03 EST
Created attachment 825062 [details]
File: exploitable
Comment 7 Brandon Amaro 2013-11-17 01:15:06 EST
Created attachment 825063 [details]
File: limits
Comment 8 Brandon Amaro 2013-11-17 01:15:09 EST
Created attachment 825064 [details]
File: maps
Comment 9 Brandon Amaro 2013-11-17 01:15:12 EST
Created attachment 825065 [details]
File: open_fds
Comment 10 Brandon Amaro 2013-11-17 01:15:15 EST
Created attachment 825066 [details]
File: proc_pid_status
Comment 11 Brandon Amaro 2013-11-17 01:15:18 EST
Created attachment 825067 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2013-12-21 09:45:42 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 17:32:50 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.